#ifndef _GUI_INTERFACE_H_
#define _GUI_INTERFACE_H_

#include "loc_graphics.h"
#include "TYW_stdint.h"
#include "images.h"

void GUI_General_Display(SpriteName_t SpriteID, uint16_t ImageID, uint8_t u8BlendEn);
void GUI_General_Display0(uint16_t SpriteID);
void GUI_Translate_Display(SpriteName_t SpriteID, uint16_t ImageID, uint16_t Posx, uint16_t Posy, uint8_t u8BlendEn);
void GUI_Translate_Display1(SpriteName_t SpriteID, uint16_t ImageID, uint16_t Posx, uint16_t Posy, uint8_t u8RotateEn, float angle, float floatN, uint8_t dir);
void GUI_General_Digit_Display(SpriteName_t SpriteID, uint32_t Digit, uint16_t Font, uint8_t Len, uint8_t Blank, const uint16_t *px, uint16_t y, uint8_t u8BlendEn);

#endif
